---
title: Virtual Account History
description: This API will delete a particular bank account details of the merchant assigned to virtual account if we pass merchant id, bank id, virtual account no and UID correctly.
---

# VIRTUAL ACCOUNT - Virtual Account History

This API will list all transactions against virtual account based on search criteria. We must pass merchant id, page numbers to retrieve, limit: no of records to retrieve, transaction id, virtual account no or UID in request, in response you get the details like date time, amount, payment mode, status and customer details based on transaction id.

## POST

```
https://kraken.airpay.co.in/airpay/va/api/
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| Content-Type | String | application/x-www-form-urlencoded |

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| action | String | Action to perform - history (required) |
| private_key | Alphanumeric | Private Key (length 10-200) (required)<br>private_key = hash('sha256', secret.'@'.username.':|:'.password) |
| merchant_id | Numeric | Merchant Id (required) |
| page | Numeric | Page number to retrieve the history (required) |
| limit | Numeric | No of records to retrieve from teh history (required) |
| transaction_id | Numeric | Transaction ID (required) |
| virtual_account_number | Numeric | Virtual account number or UID Unique user identifier from the merchant is required |
| UID | Numeric | Virtual account number or UID Unique user identifier from the merchant is required |
| checksum | Alphanumeric | Hash generated by : sha1(virtual_account_number.transaction_id.page.limit.UID.action.merchant_id.private_key) (required) |

## Request-Example:
```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/va/api/' \
--form 'action=history' \
--form 'private_key=71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe' \
--form 'merchant_id=1' \
--form 'page=1' \
--form 'limit=10' \
--form 'virtual_account_number=2293640000000010242' \
--form 'checksum=b14bf8fc556f42cf83f9233b7caec1f14bd21795'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| STATUS | Number | Status Code<br>Success - 200 Transaction is success<br>Transaction in Process - 211 Transaction in processing<br>Failed - 400 Transaction in failed<br>Dropped - 401 The transaction will not register properly<br>Cancel - 402 payment that has not yet been processed<br>Incomplete - 403 Not recieved any call back from bank<br>Bounced - 405 The transaction has bounced<br>No Records - 503 There is no records found<br>No records to display - 167 There is no records found |
| MESSAGE | String | Status Message<br>Success - 200 Transaction is success<br>Transaction in Process - 211 Transaction in processing<br>Failed - 400 Transaction in failed<br>Dropped - 401 The transaction will not register properly<br>Cancel - 402 payment that has not yet been processed<br>Incomplete - 403 Not recieved any call back from bank<br>Bounced - 405 The transaction has bounced<br>No Records - 503 There is no records found<br>No records to display - 167 There is no records found |
| records | Json | Data records, which contains<br>transaction_id - Transaction id<br>profile_id - Merchant ID<br>transaction_date_time - Transaction date and time<br>virtual_account - Virtual account number<br>amount - Amount<br>payment_mode - Payment mode<br>status - Status<br>customer_name - Customer name<br>customer_email - Customer email<br>customer_mobile - Customer mobile |

## Success-Response:

```
HTTP/1.1 200 OK
{
     "STATUS": "200",
     "MESSAGE": "Success",
     "RECORDS": [{
                     "TRANSACTION_ID": "123456",
                     "PROFILE_ID": "1",
                     "TRANSACTION_DATE_TIME": "1610524558",
                     "VIRTUAL_ACCOUNT": "6546797546469",
                     "AMOUNT": "1.00",
                     "PAYMENT_MODE": "va",
                     "STATUS": "SUCCESS",
                     "CUSTOMER_NAME": "Prathamesh",
                     "CUSTOMER_EMAI": "consultant.prathamesh@airpay.co.in",
                     "CUSTOMER_MOBILE": "7208246368
                 }]
}
```
## Error-Response:

```
{
    "STATUS": "400",
    "MESSAGE": "Failed"
}
```